package com.biksg.ocpsoft.rewrite;

import javax.servlet.ServletContext;

import org.ocpsoft.rewrite.annotation.RewriteConfiguration;
import org.ocpsoft.rewrite.config.Configuration;
import org.ocpsoft.rewrite.config.ConfigurationBuilder;
import org.ocpsoft.rewrite.context.EvaluationContext;
import org.ocpsoft.rewrite.event.Rewrite;
import org.ocpsoft.rewrite.param.Constraint;
import org.ocpsoft.rewrite.servlet.config.HttpConfigurationProvider;
import org.ocpsoft.rewrite.servlet.config.rule.Join;

@RewriteConfiguration
public class RewriteWindowIdUrl extends HttpConfigurationProvider {
  
  Constraint<String> selectedCharactersFirst = new Constraint<String>() {
    public boolean isSatisfiedBy(Rewrite event, EvaluationContext context, String value) {
      return !value.equals("resources") && !value.equals("faces");
    }
  };
  
  Constraint<String> selectedCharactersSecond = new Constraint<String>() {
    public boolean isSatisfiedBy(Rewrite event, EvaluationContext context, String value) {
      return !value.equals("javax.faces.resource");
    }
  };
  
  public int priority() {
    return 10;
  }
  
  public Configuration getConfiguration(final ServletContext context) {
    return ConfigurationBuilder.begin()
    
        .addRule(Join.path("/upload").to("/faces/template.xhtml"));
    
  }
}
